BATCH - Support #13452

Move Production *cat files from /minos/data to dCache
08/04/2016 10:35 PM - Arthur Kreymer

Status: New Start date: 08/04/2016
Priority: High Due date: 08/15/2016
Assignee: Arthur Kreymer % Done: 10%
Category: Estimated time: 10.00 hours
Target version: Spent time: 1.00 hour
Description

We plan to unmount /minos/data from Fermigrid workers
by mid August, 2016

Minos production ntuples go to /minos/data/minfarm/nearcat
and similar directories

They are concatenated and written to dCache by ~minospro/roundup

Three tasks will be tracked here:

o Copy existing nearcat files to dCache
0 Update production scripts

o Update roundup

History

#1 - 08/04/2016 10:39 PM - Arthur Kreymer

- Assignee set to Arthur Kreymer

On Aug 4 kreymer copies existing
/minos/data/minfarm/nearcat

to
/pnfs/minos/persistent/users/minospro/nearcat
One file was truncated and had to be recopied.

minospro@minosdata

BCAT=/minos/data/minfarm/nearcat
PCAT=/pnfs/minos/persistent/users/minospro/nearcat
mkdir ${PCAT}

du -sm ${BCAT} ${PCAT}
10850 /minos/data/minfarm/nearcat
1 /pnfs/minos/persistent/users/minospro/nearcat

CATS='Is ${BCAT}

date ; for CAT in ${CATS} ; do

dd if=${BCAT}/${CAT} of=${PCAT}/${CAT} bs=10M
Is -1 ${BCAT}/${CAT} ${PCAT}/${CAT}

diff ${BCATY${CAT} ${PCATY/${CAT}

done ; date

Thu Aug 4 13:14:48 CDT 2016

Thu Aug 4 13:22:18 CDT 2016

du -sm ${BCAT} ${PCAT}

10850 /minos/data/minfarm/nearcat

10807 /pnfs/minos/persistent/users/minospro/nearcat

diff -r ${BCAT} ${PCAT)}

Binary files /minos/data/minfarm/nearcat/N00070040_0004.spill.sntp.elm6.0.root and
/pnfs/minos/persistent/users/minospro/nearcat/N00070040_0004.spill.sntp.elm6.0.root differ

CAT=N00070040_0004.spill.sntp.elm6.0.root
rm ${PCAT}/${CAT}
dd if=${BCAT}/${CAT} of=${PCAT}H/S${CAT} bs=10M
Is -| ${BCAT}/${CAT} ${PCAT}/${CAT}
diff ${BCAT}/${CAT} ${PCAT}/${CAT}

6+1 records in
6+1 records out
67651723 bytes (68 MB) copied, 0.452832 s, 149 MB/s

rv-rw-r 1 minospro €875 67651723 Jul 8 02:10 /minos/data/minfarm/nearcat/N00070040_0004.spill.sntp.elm6.0.root
rw—+—+ 1 minospro e875 67651723 Aug 4 13:30 /pnfs/minos/persistent/users/minospro/nearcat/N00070040_0004.spill.sntp.elm6.0.root
